### GET /v1/supporters/{id} Source: https://api.fundraiseup.com/v1/openapi.json Use this request to retrieve a specific supporter record by its unique ID. The response includes all supporter-level fields available in the Dashboard, such as name, email, language, mailing address, phone number, employer, and others. ## About supporter contact data The `address`, `phone`, and `employer` fields in supporter records reflect the most recent information provided by the supporter. These fields are updated automatically when: - The supporter makes a new donation using the same email address. - A donation or recurring plan is edited in the Dashboard. - The supporter updates their details in the Donor Portal. Installments do not update supporter-level contact data. You can't edit supporter contact fields through the API. To change them, update the associated donation or recurring plan. The supporter record will reflect the updated values automatically. This behavior applies only to changes made after June 2, 2025. Data collected earlier is not updated retroactively. ### Tracking updates using the Events endpoint To monitor changes to supporter contact data, use the [Events endpoint](https://api.fundraiseup.com/v1/docs/#/operations/GetEvents). The following events may indicate a change to supporter contact fields: - `supporter.updated` — supporter-level data has changed. - `donation.updated` — contact fields on a donation were modified. - `recurring_plan.details_updated` — a recurring plan was edited. When you receive one of these events, use the corresponding endpoints to retrieve updated data: - `GET /supporters/{id}` — get supporter-level contact information. - `GET /donations/{id}` — get contact details specific to a donation. - `GET /recurring_plans/{id}` — get contact details specific to a recurring plan. ```markdown ### Parameters - **id** (string, path, required): Unique identifier of the supporter, formatted as S[A-Z]{7}. (example: "SXXXXXXX") ### Responses #### 200 - On success, the API returns the supporter object. **SupporterResponse** - **account** (object) (required): Organization account information. - **code** (string) (required): Custom identifier for the organization, set as the Account code in the Fundraise Up account. (example: "Code-1") - **id** (string) (required): Unique identifier of the organization in the format A[A-Z]{7}. (example: "AXXXXXXX") - **name** (string) (required): The name of the organization as set in the Fundraise Up account. (example: "Example Account") - **address** (object) (required): Contains the mailing address details. - **city** (string) (required): City name (example: "Nashville") - **country** (string) (required): [Two-letter country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2), in lowercase. (example: "us") - **line1** (string) (required): First address line. (example: "123 Example St.") - **line2** (string) (required): Second address line. (example: "Apt. 1") - **postal_code** (string) (required): Postal or ZIP code. (example: "111111") - **region** (string) (required): Can refer to a region, state, or province. (example: "Tennessee") - **created_at** (string) (required): Timestamp in ISO 8601 format, indicating when the supporter was created, in UTC. (example: "2024-12-20T00:00:00.000Z") - **email** (string) (required): Email address associated with the supporter. (example: "example@example.com") - **employer** (object) (required): Represents the employer information. - **name** (string) (required): Employer's name. (example: "Fundraise Up Inc.") - **first_name** (string) (required): First name of the supporter. (example: "Alex") - **id** (string) (required): Unique identifier for the supporter. (example: "SXXXXXXXX") - **language** (string (en-US|en-GB|en-CA|fr-CA|fr-FR|es|nl|no|de|de-x-informal|fi-FI|ar-001|sv|it|pt-PT|pt-BR|zh-CN|zh-TW|ja|ko|hu|da|ru-RU|es-US|pl-PL)) (required): Supporter's locale. (example: "en-CA") ("en-US"|"en-GB"|"en-CA"|"fr-CA"|"fr-FR"|"es"|"nl"|"no"|"de"|"de-x-informal"|"fi-FI"|"ar-001"|"sv"|"it"|"pt-PT"|"pt-BR"|"zh-CN"|"zh-TW"|"ja"|"ko"|"hu"|"da"|"ru-RU"|"es-US"|"pl-PL") - **last_name** (string) (required): Last name of the supporter. (example: "Garcia") - **livemode** (boolean) (required): Test mode indicator. `true` for donations in live mode, `false` for donations in test mode. (example: true) - **phone** (string) (required): Supporter's phone number. (example: "+1 (111) 111111") - **title** (string (m|mme|mlle|autre|mx|mr|mrs|miss|ms|sir|prof|dr|rev|fr|dcn|br|sr|frau|herr|frau dr.|herr dr.|frau prof.|herr prof.)) (required): Supporter's title. (example: "mr") ("m"|"mme"|"mlle"|"autre"|"mx"|"mr"|"mrs"|"miss"|"ms"|"sir"|"prof"|"dr"|"rev"|"fr"|"dcn"|"br"|"sr"|"frau"|"herr"|"frau dr."|"herr dr."|"frau prof."|"herr prof.") #### 403 - Forbidden. The API key does not have permission to access supporters. Forbidden. The API key does not have permission to access supporters. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/supporters/{id}" ``` ``` -------------------------------- ### Schema: DeviceResponse Source: https://api.fundraiseup.com/v1/openapi.json Provides information about the device being used. ```markdown ## Schema: DeviceResponse Provides information about the device being used. **Type:** object - **browser** (string) (required): Browser name. Can be `null` if not detected. (example: "Chrome") - **ip** (object) (required): Contains details about the IP address from which the donation was made. - **address** (string) (required): IP address. (example: "111.111.111.111") - **city** (string) (required): City name. (example: "Nashville") - **country_name** (string) (required): Full country name. (example: "United States") - **region** (string) (required): Region name. (example: "Tennessee") - **os** (string) (required): Operating system name. Can be `null` if not detected. (example: "MacOS") - **type** (string (desktop|mobile|tablet)) (required): Device type. Can be `null` if not detected. (example: "desktop") ("desktop"|"mobile"|"tablet") - **user_agent** (string) (required): Raw user agent string. Can be `null` if not provided. (example: "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36") ``` -------------------------------- ### GET /v1/supporters Source: https://api.fundraiseup.com/v1/openapi.json Use this request to retrieve a paginated list of supporter records from your Fundraise Up account. Each record includes the latest contact details and other supporter-level fields, matching the data shown in the Supporters view in the Dashboard. ## About supporter contact data The `address`, `phone`, and `employer` fields in supporter records reflect the most recent information provided by the supporter. These fields are updated automatically when: * The supporter makes a new donation using the same email address. * A donation or recurring plan is edited in the Dashboard. * The supporter updates their details in the Donor Portal. Installments do not update supporter-level contact data. You can't edit supporter contact fields through the API. To change them, update the associated donation or recurring plan — in the Dashboard at any time, or through the API within 24 hours of creation. The supporter record will reflect the updated values automatically. This behavior applies only to changes made after June 2, 2025. Data collected earlier is not updated retroactively. ### Tracking updates using the Events endpoint To monitor changes to supporter contact data, use the [Events endpoint](https://api.fundraiseup.com/v1/docs/#/operations/GetEvents). The following events may indicate a change to supporter contact fields: * `supporter.updated` — supporter-level data has changed. * `donation.updated` — contact fields on a donation were modified. * `recurring_plan.details_updated` — a recurring plan was edited. When you receive one of these events, use the corresponding endpoints to retrieve updated data: * `GET /supporters/{id}` — get supporter-level contact information. * `GET /donations/{id}` — get contact details specific to a donation. * `GET /recurring_plans/{id}` — get contact details specific to a recurring plan. ```markdown ### Parameters - **created** (CreatedQuery, query, optional) - **starting_after** (string, query, optional): A cursor for pagination. Returns records older than the specified object ID. - **ending_before** (string, query, optional): A cursor for pagination. Returns records newer than the specified object ID. - **limit** (number, query, optional): This parameter specifies the number of records to display per page, ranging from 1 to 100. ### Responses #### 200 - On success, the API returns the list of supporters. **SupportersResponse** - **data** (array (object)) (required): An array containing the entity records, paginated by any request parameters. Array items: - **account** (object) (required): Organization account information. - **code** (string) (required): Custom identifier for the organization, set as the Account code in the Fundraise Up account. (example: "Code-1") - **id** (string) (required): Unique identifier of the organization in the format A[A-Z]{7}. (example: "AXXXXXXX") - **name** (string) (required): The name of the organization as set in the Fundraise Up account. (example: "Example Account") - **address** (object) (required): Contains the mailing address details. - **city** (string) (required): City name (example: "Nashville") - **country** (string) (required): [Two-letter country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2), in lowercase. (example: "us") - **line1** (string) (required): First address line. (example: "123 Example St.") - **line2** (string) (required): Second address line. (example: "Apt. 1") - **postal_code** (string) (required): Postal or ZIP code. (example: "111111") - **region** (string) (required): Can refer to a region, state, or province. (example: "Tennessee") - **created_at** (string) (required): Timestamp in ISO 8601 format, indicating when the supporter was created, in UTC. (example: "2024-12-20T00:00:00.000Z") - **email** (string) (required): Email address associated with the supporter. (example: "example@example.com") - **employer** (object) (required): Represents the employer information. - **name** (string) (required): Employer's name. (example: "Fundraise Up Inc.") - **first_name** (string) (required): First name of the supporter. (example: "Alex") - **id** (string) (required): Unique identifier for the supporter. (example: "SXXXXXXXX") - **language** (string (en-US|en-GB|en-CA|fr-CA|fr-FR|es|nl|no|de|de-x-informal|fi-FI|ar-001|sv|it|pt-PT|pt-BR|zh-CN|zh-TW|ja|ko|hu|da|ru-RU|es-US|pl-PL)) (required): Supporter's locale. (example: "en-CA") ("en-US"|"en-GB"|"en-CA"|"fr-CA"|"fr-FR"|"es"|"nl"|"no"|"de"|"de-x-informal"|"fi-FI"|"ar-001"|"sv"|"it"|"pt-PT"|"pt-BR"|"zh-CN"|"zh-TW"|"ja"|"ko"|"hu"|"da"|"ru-RU"|"es-US"|"pl-PL") - **last_name** (string) (required): Last name of the supporter. (example: "Garcia") - **livemode** (boolean) (required): Test mode indicator. `true` for donations in live mode, `false` for donations in test mode. (example: true) - **phone** (string) (required): Supporter's phone number. (example: "+1 (111) 111111") - **title** (string (m|mme|mlle|autre|mx|mr|mrs|miss|ms|sir|prof|dr|rev|fr|dcn|br|sr|frau|herr|frau dr.|herr dr.|frau prof.|herr prof.)) (required): Supporter's title. (example: "mr") ("m"|"mme"|"mlle"|"autre"|"mx"|"mr"|"mrs"|"miss"|"ms"|"sir"|"prof"|"dr"|"rev"|"fr"|"dcn"|"br"|"sr"|"frau"|"herr"|"frau dr."|"herr dr."|"frau prof."|"herr prof.") - **has_more** (boolean) (required): Indicates whether there are more records available. For `starting_after`, it shows that there is a page with older records. For `ending_before`, it indicates that there is a page with newer records. (example: true) #### 403 - Forbidden. The API key does not have permission to access supporters. Forbidden. The API key does not have permission to access supporters. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/supporters?created=value&starting_after=string&ending_before=string&limit=10" ``` ``` -------------------------------- ### Schema: SupporterResponse Source: https://api.fundraiseup.com/v1/openapi.json Contains supporter details. ```markdown ## Schema: SupporterResponse Contains supporter details. **Type:** object - **account** (object) (required): Organization account information. - **code** (string) (required): Custom identifier for the organization, set as the Account code in the Fundraise Up account. (example: "Code-1") - **id** (string) (required): Unique identifier of the organization in the format A[A-Z]{7}. (example: "AXXXXXXX") - **name** (string) (required): The name of the organization as set in the Fundraise Up account. (example: "Example Account") - **address** (object) (required): Contains the mailing address details. - **city** (string) (required): City name (example: "Nashville") - **country** (string) (required): [Two-letter country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2), in lowercase. (example: "us") - **line1** (string) (required): First address line. (example: "123 Example St.") - **line2** (string) (required): Second address line. (example: "Apt. 1") - **postal_code** (string) (required): Postal or ZIP code. (example: "111111") - **region** (string) (required): Can refer to a region, state, or province. (example: "Tennessee") - **created_at** (string) (required): Timestamp in ISO 8601 format, indicating when the supporter was created, in UTC. (example: "2024-12-20T00:00:00.000Z") - **email** (string) (required): Email address associated with the supporter. (example: "example@example.com") - **employer** (object) (required): Represents the employer information. - **name** (string) (required): Employer's name. (example: "Fundraise Up Inc.") - **first_name** (string) (required): First name of the supporter. (example: "Alex") - **id** (string) (required): Unique identifier for the supporter. (example: "SXXXXXXXX") - **language** (string (en-US|en-GB|en-CA|fr-CA|fr-FR|es|nl|no|de|de-x-informal|fi-FI|ar-001|sv|it|pt-PT|pt-BR|zh-CN|zh-TW|ja|ko|hu|da|ru-RU|es-US|pl-PL)) (required): Supporter's locale. (example: "en-CA") ("en-US"|"en-GB"|"en-CA"|"fr-CA"|"fr-FR"|"es"|"nl"|"no"|"de"|"de-x-informal"|"fi-FI"|"ar-001"|"sv"|"it"|"pt-PT"|"pt-BR"|"zh-CN"|"zh-TW"|"ja"|"ko"|"hu"|"da"|"ru-RU"|"es-US"|"pl-PL") - **last_name** (string) (required): Last name of the supporter. (example: "Garcia") - **livemode** (boolean) (required): Test mode indicator. `true` for donations in live mode, `false` for donations in test mode. (example: true) - **phone** (string) (required): Supporter's phone number. (example: "+1 (111) 111111") - **title** (string (m|mme|mlle|autre|mx|mr|mrs|miss|ms|sir|prof|dr|rev|fr|dcn|br|sr|frau|herr|frau dr.|herr dr.|frau prof.|herr prof.)) (required): Supporter's title. (example: "mr") ("m"|"mme"|"mlle"|"autre"|"mx"|"mr"|"mrs"|"miss"|"ms"|"sir"|"prof"|"dr"|"rev"|"fr"|"dcn"|"br"|"sr"|"frau"|"herr"|"frau dr."|"herr dr."|"frau prof."|"herr prof.") ``` -------------------------------- ### GET /v1/fundraisers Source: https://api.fundraiseup.com/v1/openapi.json This request allows you to retrieve Fundraiser records from your Fundraise Up account. Webhooks are not supported. ```markdown ### Parameters - **created** (CreatedQuery, query, optional) - **starting_after** (string, query, optional): A cursor for pagination. Returns records older than the specified object ID. - **ending_before** (string, query, optional): A cursor for pagination. Returns records newer than the specified object ID. - **limit** (number, query, optional): This parameter specifies the number of records to display per page, ranging from 1 to 100. ### Responses #### 200 - On success, the API returns an array of Fundraiser objects. If parameters are invalid, the request returns an error. **FundraisersResponse** - **data** (array (object)) (required): An array containing the entity records, paginated by any request parameters. Array items: - **campaign** (object) (required): Provides details about the campaign. - **code** (string) (required): Campaign code, as set in the Dashboard. (example: "Code-1") - **id** (string) (required): Unique campaign identifier. (example: "FUNXXXXXXXX") - **name** (string) (required): Campaign name. (example: "My Campaign") - **code** (string) (required): Code for the fundraiser, if applicable. - **created_at** (string) (required): Timestamp in ISO 8601 format, indicating when the fundraiser was created in UTC. (example: "2024-12-20T00:00:00.000Z") - **currency** (string (shp|eur|aed|afn|xcd|all|amd|aoa|ars|usd|aud|ang|awg|azn|bam|bbd|inr|pkr|bdt|xof|bhd|bif|bmd|myr|bnd|bob|brl|bsd|btn|nok|zar|bwp|byn|bzd|cad|cdf|xaf|chf|nzd|clp|cny|cop|crc|cve|czk|djf|dkk|dop|dzd|egp|mad|etb|fjd|fkp|jpy|gbp|gel|ghs|gip|gmd|gnf|gtq|gyd|hkd|hnl|htg|huf|idr|ils|isk|jmd|jod|kes|kgs|khr|kmf|krw|kwd|kyd|kzt|lak|lbp|lkr|lrd|lsl|mdl|mga|mkd|mmk|mnt|mop|mur|mvr|mwk|mxn|mzn|nad|xpf|ngn|nio|sek|npr|omr|pab|pen|pgk|php|pln|pyg|qar|ron|rsd|rub|rwf|sar|sbd|scr|sgd|sle|sos|srd|szl|thb|tjs|tnd|top|try|ttd|twd|tzs|uah|uyu|uzs|vnd|vuv|wst|yer|zmw)) (required): Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. (example: "usd") ("shp"|"eur"|"aed"|"afn"|"xcd"|"all"|"amd"|"aoa"|"ars"|"usd"|"aud"|"ang"|"awg"|"azn"|"bam"|"bbd"|"inr"|"pkr"|"bdt"|"xof"|"bhd"|"bif"|"bmd"|"myr"|"bnd"|"bob"|"brl"|"bsd"|"btn"|"nok"|"zar"|"bwp"|"byn"|"bzd"|"cad"|"cdf"|"xaf"|"chf"|"nzd"|"clp"|"cny"|"cop"|"crc"|"cve"|"czk"|"djf"|"dkk"|"dop"|"dzd"|"egp"|"mad"|"etb"|"fjd"|"fkp"|"jpy"|"gbp"|"gel"|"ghs"|"gip"|"gmd"|"gnf"|"gtq"|"gyd"|"hkd"|"hnl"|"htg"|"huf"|"idr"|"ils"|"isk"|"jmd"|"jod"|"kes"|"kgs"|"khr"|"kmf"|"krw"|"kwd"|"kyd"|"kzt"|"lak"|"lbp"|"lkr"|"lrd"|"lsl"|"mdl"|"mga"|"mkd"|"mmk"|"mnt"|"mop"|"mur"|"mvr"|"mwk"|"mxn"|"mzn"|"nad"|"xpf"|"ngn"|"nio"|"sek"|"npr"|"omr"|"pab"|"pen"|"pgk"|"php"|"pln"|"pyg"|"qar"|"ron"|"rsd"|"rub"|"rwf"|"sar"|"sbd"|"scr"|"sgd"|"sle"|"sos"|"srd"|"szl"|"thb"|"tjs"|"tnd"|"top"|"try"|"ttd"|"twd"|"tzs"|"uah"|"uyu"|"uzs"|"vnd"|"vuv"|"wst"|"yer"|"zmw") - **description** (string) (required): Description of the Fundraiser. - **designation** (object) (required): Contains information about the designation. - **code** (string) (required): Designation code, as set in the Dashboard. (example: "Code-1") - **id** (string) (required): Unique designation identifier. (example: "EXXXXXXX") - **name** (string) (required): Designation name. (example: "My Designation") - **goal** (object) (required): Goal details for the Fundraiser, if set. - **amount** (string) (required): Target amount for the fundraiser. - **end_date** (string) (required): End date for the fundraiser goal. - **id** (string) (required): Unique identifier for the Fundraiser. - **image** (object) (required): Image details for the Fundraiser, if available. - **preview_url** (string) (required): URL for the preview image. - **name** (string) (required): The title of the Fundraiser, used as its main heading. (example: "Run for hope") - **slug** (string) (required): Slug for the Fundraiser, if set. - **status** (string (active|paused)) (required): Current status of the Fundraiser. ("active"|"paused") - **has_more** (boolean) (required): Indicates whether there are more records available. For `starting_after`, it shows that there is a page with older records. For `ending_before`, it indicates that there is a page with newer records. (example: true) #### 403 - Forbidden. The API key does not have permission to access Fundraisers. Forbidden. The API key does not have permission to access Fundraisers. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/fundraisers?created=value&starting_after=string&ending_before=string&limit=10" ``` ``` -------------------------------- ### Schema: CampaignResponse Source: https://api.fundraiseup.com/v1/openapi.json Provides details about the campaign. ```markdown ## Schema: CampaignResponse Provides details about the campaign. **Type:** object - **code** (string) (required): Campaign code, as set in the Dashboard. (example: "Code-1") - **id** (string) (required): Unique campaign identifier. (example: "FUNXXXXXXXX") - **name** (string) (required): Campaign name. (example: "My Campaign") ``` -------------------------------- ### Schema: ChargePaymentResponse Source: https://api.fundraiseup.com/v1/openapi.json Provides details about the payment processing. ```markdown ## Schema: ChargePaymentResponse Provides details about the payment processing. **Type:** object - **bank_account** (object) (required): Contains information about the bank account used for the payment. - **last4** (string) (required): Last four digits of the bank account number. (example: "1234") - **credit_card** (object) (required): Contains information about the credit card used for the payment. - **exp_month** (string) (required): Two-digit expiration month (`01` to `12`). (example: "12") - **exp_year** (string) (required): Four-digit expiration year. (example: "2023") - **last4** (string) (required): Last four digits of the credit card number. (example: "1234") - **type** (string) (required): Credit card type. (example: "visa") - **email** (string) (required): Email associated with the payment method. (example: "example@example.com") - **error_message** (string) (required): Most recent payment error message. Returned only if the status is `failed` or `retrying`. Otherwise, returns `null`. (example: "Something went wrong") - **id** (string) (required): For PayPal: Capture ID. For Stripe: Charge ID or Payment Intent ID. For other processors: payment ID. (example: "ch_1I9nHHHUtU5Pnu8b93DuxyzE") - **method** (string (credit_card|apple_pay|google_pay|click_to_pay|ach|paypal|venmo|becs_direct_debit|bacs_direct_debit|pad|sepa_direct_debit|ideal|crypto|stock)) (required): Payment method, in lowercase underscore. `stock` is deprecated but may still appear in retrieved data. The value of `us_bank_account` maps to `ach`. The value of `plaid` also maps to `ach`. (example: "paypal") ("credit_card"|"apple_pay"|"google_pay"|"click_to_pay"|"ach"|"paypal"|"venmo"|"becs_direct_debit"|"bacs_direct_debit"|"pad"|"sepa_direct_debit"|"ideal"|"crypto"|"stock") - **processor** (string (stripe|paypal|gemini|manual_brokerage|coinbase_commerce)) (required): Payment processor, in lowercase. `coinbase_commerce` is deprecated but may still appear in retrieved data. (example: "stripe") ("stripe"|"paypal"|"gemini"|"manual_brokerage"|"coinbase_commerce") ``` -------------------------------- ### GET /v1/fundraisers/{id} Source: https://api.fundraiseup.com/v1/openapi.json This request allows you to retrieve a Fundraiser record from your Fundraise Up account. Webhooks are not supported. ```markdown ### Parameters - **id** (string, path, required): Unique identifier of the Fundraiser, formatted as N[A-Z]{7}. (example: "NXXXXXXX") ### Responses #### 200 - On success, the API returns the Fundraiser object. If parameters are invalid, the call will return an error. **GetFundraiserResponse** - **campaign** (object) (required): Provides details about the campaign. - **code** (string) (required): Campaign code, as set in the Dashboard. (example: "Code-1") - **id** (string) (required): Unique campaign identifier. (example: "FUNXXXXXXXX") - **name** (string) (required): Campaign name. (example: "My Campaign") - **code** (string) (required): Code for the fundraiser, if applicable. - **created_at** (string) (required): Timestamp in ISO 8601 format, indicating when the fundraiser was created in UTC. (example: "2024-12-20T00:00:00.000Z") - **currency** (string (shp|eur|aed|afn|xcd|all|amd|aoa|ars|usd|aud|ang|awg|azn|bam|bbd|inr|pkr|bdt|xof|bhd|bif|bmd|myr|bnd|bob|brl|bsd|btn|nok|zar|bwp|byn|bzd|cad|cdf|xaf|chf|nzd|clp|cny|cop|crc|cve|czk|djf|dkk|dop|dzd|egp|mad|etb|fjd|fkp|jpy|gbp|gel|ghs|gip|gmd|gnf|gtq|gyd|hkd|hnl|htg|huf|idr|ils|isk|jmd|jod|kes|kgs|khr|kmf|krw|kwd|kyd|kzt|lak|lbp|lkr|lrd|lsl|mdl|mga|mkd|mmk|mnt|mop|mur|mvr|mwk|mxn|mzn|nad|xpf|ngn|nio|sek|npr|omr|pab|pen|pgk|php|pln|pyg|qar|ron|rsd|rub|rwf|sar|sbd|scr|sgd|sle|sos|srd|szl|thb|tjs|tnd|top|try|ttd|twd|tzs|uah|uyu|uzs|vnd|vuv|wst|yer|zmw)) (required): Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. (example: "usd") ("shp"|"eur"|"aed"|"afn"|"xcd"|"all"|"amd"|"aoa"|"ars"|"usd"|"aud"|"ang"|"awg"|"azn"|"bam"|"bbd"|"inr"|"pkr"|"bdt"|"xof"|"bhd"|"bif"|"bmd"|"myr"|"bnd"|"bob"|"brl"|"bsd"|"btn"|"nok"|"zar"|"bwp"|"byn"|"bzd"|"cad"|"cdf"|"xaf"|"chf"|"nzd"|"clp"|"cny"|"cop"|"crc"|"cve"|"czk"|"djf"|"dkk"|"dop"|"dzd"|"egp"|"mad"|"etb"|"fjd"|"fkp"|"jpy"|"gbp"|"gel"|"ghs"|"gip"|"gmd"|"gnf"|"gtq"|"gyd"|"hkd"|"hnl"|"htg"|"huf"|"idr"|"ils"|"isk"|"jmd"|"jod"|"kes"|"kgs"|"khr"|"kmf"|"krw"|"kwd"|"kyd"|"kzt"|"lak"|"lbp"|"lkr"|"lrd"|"lsl"|"mdl"|"mga"|"mkd"|"mmk"|"mnt"|"mop"|"mur"|"mvr"|"mwk"|"mxn"|"mzn"|"nad"|"xpf"|"ngn"|"nio"|"sek"|"npr"|"omr"|"pab"|"pen"|"pgk"|"php"|"pln"|"pyg"|"qar"|"ron"|"rsd"|"rub"|"rwf"|"sar"|"sbd"|"scr"|"sgd"|"sle"|"sos"|"srd"|"szl"|"thb"|"tjs"|"tnd"|"top"|"try"|"ttd"|"twd"|"tzs"|"uah"|"uyu"|"uzs"|"vnd"|"vuv"|"wst"|"yer"|"zmw") - **description** (string) (required): Description of the Fundraiser. - **designation** (object) (required): Contains information about the designation. - **code** (string) (required): Designation code, as set in the Dashboard. (example: "Code-1") - **id** (string) (required): Unique designation identifier. (example: "EXXXXXXX") - **name** (string) (required): Designation name. (example: "My Designation") - **goal** (object) (required): Goal details for the Fundraiser, if set. - **amount** (string) (required): Target amount for the fundraiser. - **end_date** (string) (required): End date for the fundraiser goal. - **id** (string) (required): Unique identifier for the Fundraiser. - **image** (object) (required): Image details for the Fundraiser, if available. - **preview_url** (string) (required): URL for the preview image. - **name** (string) (required): The title of the Fundraiser, used as its main heading. (example: "Run for hope") - **slug** (string) (required): Slug for the Fundraiser, if set. - **status** (string (active|paused)) (required): Current status of the Fundraiser. ("active"|"paused") #### 403 - Forbidden. The API key does not have permission to access Fundraisers. Forbidden. The API key does not have permission to access Fundraisers. ### Example Usage ```bash curl -X GET "https://api.example.com/v1/fundraisers/{id}" ``` ```